Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514085 - %transfiletriggerpostun scriptlet is not called for some packages
Summary: %transfiletriggerpostun scriptlet is not called for some packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1513188
TreeView+ depends on / blocked
 
Reported: 2017-11-16 15:52 UTC by Marek Kašík
Modified: 2018-04-15 18:11 UTC (History)
6 users (show)

Fixed In Version: rpm-4.14.1-1.fc27 rpm-4.13.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-15 18:11:57 UTC


Attachments (Terms of Use)
rpm log (deleted)
2017-11-16 15:52 UTC, Marek Kašík
no flags Details

Description Marek Kašík 2017-11-16 15:52:13 UTC
Created attachment 1353600 [details]
rpm log

Description of problem:
%transfiletriggerpostun scriptlet of "shared-mime-info" package is not called after package "djvulibre" has been uninstalled.

shared-mime-info's spec file contains:
%transfiletriggerpostun -- %{_datadir}/mime
update-mime-database -n %{_datadir}/mime

djvulibre package contains (among others):
/usr/share/mime/packages/djvulibre-mime.xml


Version-Release number of selected component (if applicable):
rpm-4.14.0-2.fc27.x86_64
share-mime-info-1.9-1.fc27.x86_64
djvulibre-3.5.27-4.fc27.x86_64


How reproducible:
always


Steps to Reproduce:
1. dnf install djvulibre
2. rpm -e -vv djvulibre


Actual results:
no triggerpostun in the output (and the database is not updated - but it also depends on the "-n" flag)


Expected results:
triggerpostun in the output


Additional info:
Spotted when working on https://bugzilla.redhat.com/show_bug.cgi?id=1513188.
It seems that the scriptlet "%transfiletriggerpostun" from "hicolor-icon-theme" package is executed.

Comment 1 Panu Matilainen 2017-11-17 09:04:18 UTC
Easily reproduced, will investigate.

Thanks for reporting!

Comment 2 Panu Matilainen 2017-11-17 10:06:37 UTC
Fixed upstream: https://github.com/rpm-software-management/rpm/commit/db1b99db2543b2c2526a2e116daeffa0498d5de4

This will need updates to all Fedora versions.

Comment 3 Fedora Update System 2018-02-01 12:06:16 UTC
rpm-4.14.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cf91c45f15

Comment 4 Fedora Update System 2018-02-01 19:32:49 UTC
rpm-4.14.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cf91c45f15

Comment 5 Fedora Update System 2018-02-06 15:33:31 UTC
rpm-4.14.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-03-28 14:13:59 UTC
rpm-4.13.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4cacdf9bc

Comment 7 Fedora Update System 2018-03-29 00:19:06 UTC
rpm-4.13.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d4cacdf9bc

Comment 8 Fedora Update System 2018-04-15 18:11:57 UTC
rpm-4.13.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.